%define modulename Cairo
%define realver 1.5-1
%define r_library %{_libdir}/R/library
%define _requires_exceptions libR.so

Summary:	A cairo bindings for R
Name:		R-cran-%{modulename}
Version:	%(echo %realver|tr '-' '.')
Release:	%mkrel 2
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		http://cran.r-project.org/web/packages/%{modulename}/index.html
Source0:	http://cran.r-project.org/src/contrib/%{modulename}_%{realver}.tar.gz
BuildRequires:	R-base
BuildRequires:	libcairo-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libxt-devel
Requires:	R-base

%description
This package provides a Cairo graphics device that can be 
use to create high-quality vector (PDF, PostScript and SVG) 
and bitmap output (PNG,JPEG,TIFF), and high-quality rendering 
in displays (X11 and Win32). Since it uses the same back-end 
for all output, copying across formats is WYSIWYG.Files are 
created without the dependence on X11 or other external programs.
This device supports alpha channel (semi-transparent drawing) and 
resulting images can contain transparent and semi-transparent regions.
It is ideal for use in server environemnts (file output) and as a 
replacement for other devices that don't have Cairo's capabilities 
such as alpha support or anti-aliasing.Backends are modular such that 
any subset of backends is supported.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
mkdir -p %{buildroot}/%{r_library}

# (tpg) install
R CMD INSTALL %{modulename} --library=%{buildroot}/%{r_library}

# (tpg) provided by R-base
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%files
%{_libdir}/R/library/%{modulename}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.5.1-2.mga3
+ Revision: 345079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 26 2012 sander85 <sander85> 1.5.1-1.mga3
+ Revision: 274489
- New version: 1.5-1

* Sun Dec 25 2011 fwang <fwang> 1.4.9-2.mga2
+ Revision: 187440
- rebuild for new libtiff

* Thu Jun 16 2011 ahmad <ahmad> 1.4.9-1.mga2
+ Revision: 108314
- Update to 1.4.9
- Add BR libxt-devel
- imported package R-cran-Cairo

